:root {
    --primary-color: rgb(30, 30, 30);
    --secondary-color: #EB7021; 
    --background-color: rgb(240, 240, 240);
}

html, body {
    margin: 0;
    padding: 0;
    font-family: Helvetica, sans-serif;
    font-size: larger;
    background-color: var(--primary-color);
    scroll-behavior: smooth;
    color: white;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3);
}


header {
    background-color: var(--primary-color);
    color: white;
    padding: 20px;
    text-align: center;
}

.head {
    display: flex;
    position: absolute;
    top: 20px;
    right: 20px;
    gap: 10px;
    padding: 20px;
}
.head a {
    color: black;
    text-decoration: none;
    border-radius: 5px;
    padding: 2px 5px;
}
    .head a:hover {
        background-color: var(--secondary-color);
        color: white;
        padding: 2px 5px;
    }

#openNav {
    display: none;
}
.openNav {
   display: none;
    
}
@media (max-width: 800px) {
    .nav {
        background-color:rgba(148, 148, 148, 0.2);
        backdrop-filter: blur(5px);
        width: 100vw;
        height: 30px;
        position: fixed;
        padding: 15px;
        top:0px;
        right:0px;
    }
    .openNav {
        position: absolute;
        display: block;
        position: absolute;
        top: 10px;
        right: 20px;
        text-shadow: 1px 1px 2px rgba(243, 243, 243, 0.3);
        
    }
    .head  {
        display: none;
    }

    #openNav:checked ~ .head {
        animation: all 0.3s ease-in-out;
        background-color:rgba(148, 148, 148, 0.2);
        backdrop-filter: blur(5px);
        position: absolute;
        height: 100vh;
        display: flex;
        flex-direction: column;
        align-items: end;
        top: 60px;
        right: 0px;
        width: 20vh;
        padding: 10px 10px;
        text-shadow: 1px 1px 2px rgba(243, 243, 243, 0.3);

    }
    @keyframes all {
        0% {
            opacity: 0;
            transform: translateX(50px);
        }
        100% {
            opacity: 1;
            transform: translateX(0);
        }
    }

}


#eins{
    background: linear-gradient(45deg, var(--secondary-color), #fdaf7e, var(--secondary-color),#ff9d60, var(--secondary-color), #692c07);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 50px 20px;
    min-height: 50vh;
    box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.2);
    color: black;
}
#eins1{
    background: linear-gradient(45deg, var(--secondary-color), #fdaf7e, var(--secondary-color),#ff9d60, var(--secondary-color), #692c07);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 50px 20px;
    min-height: 35vh;
    box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.2);
     color: black;
}

.hero {
    font-size: calc(1rem + 1vw);
    height: 100%;
    width: 100%;
    text-shadow: 1px 1px 2px rgba(0, 0, 0, 0.3);
}
.hero p {
    font-size: calc(0.9rem + 0.6vw);

}

#zwei {
    background-color: var(--primary-color);
    min-height: 20vh;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 15vw;
    padding: 50px 50px;
}
#zwei2 {
    background-color: var(--primary-color);
    min-height: 20vh;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 15vw;
    padding: 50px 50px;
}
.problem {
    background-color: var(--primary-color);
    color: white;
    border: 2px solid var(--background-color);
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    flex: 1 1 300px;
    width: 40vw;
    max-width: 600px;
    
}
.problem2 {
    background-color: var(--primary-color);
    color: white;
    border: 2px solid var(--background-color);
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    flex: 1 1 300px;
    width: 45vw;
    max-width: 700px;
    min-height: 20%;
}
    .problem2 h3 {
        color:var(--secondary-color)
    }
    .problem2 a {
        color: white;
    }

.problem a {
    color: white;
}
.problem a:hover {
    color: var(--secondary-color);
    text-decoration: underline;
}

#drei {
    background-color: var(--primary-color);
    color: white;
    padding: 50px 20px;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.vorteil {
    width: 60vw;
    margin-bottom: 30px;
}
.angebot {
    width: 100%;
    gap: 20px;
    display: flex;
    
}
.angebot-info {
    width: 100%;
}

.angebot button {
    font-size: large; 
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 5px;
    width: 33%;
    cursor: pointer;
}
#angebot1 {
    background-color: #EB7021;
}
#angebot2 {
    background-color: #d3641e;
}
#angebot3 {
    background-color: #d3641e;
}

.angebot button:hover {
    background-color: #ff9d60;
}

.angebot-div {
    background-color: var(--secondary-color);
    padding: 20px;
    border-radius: 5px;
    text-align: center;
}

#angebot-1 {
    display: block;
}
#angebot-2 {
    display: none;
}
#angebot-3 {
    display: none;
}

@media (max-width: 768px) {
    #zwei {
        gap: 5vw;
        padding: 20px;
    }
    #zwei2 {
        gap: 15vh;
        padding: 20px;
    }
    .problem {
        width: 100%;
    }
    .problem2 {
        width: 90%;
    }
    .vorteil {
        width: 100%;
    }

    .angebot {
        gap: 0px;
        width: 100%;
        flex-direction: column;
    }
    .angebot button {
        width: 100%;
    }
    .angebot-info {
        width: 100%;
    }
}

#vier {
    background-color: var(--primary-color);
    color: white;
    padding: 50px 20px;
    text-align: center;
}
.kontakt {
    background-color: var(--primary-color);
    color: white;
    border: 2px solid var(--background-color);
    padding: 20px;
    padding-bottom: 30px;
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    width: 80vw;
    max-width: 1400px;
    margin: auto;
}

#vier a {
    display: inline-block;
    margin-top: 20px;
    padding: 13px 25px;
    background-color: var(--secondary-color);
    color: white;
    text-decoration: none;
    border-radius: 5px;
}
#kimg{
   margin-block: -4px ;
}

.balken {
    width: 100%;
    height: 3px;
    background-color: var(--primary-color);
   
}

#kontakt-form {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 300px;

}

 #kontakt-form input,
 #kontakt-form textarea {
    width: 50vh;
    padding: 10px;
    border: none;
}

 #kontakt-form button {
    width: 52vh;
    padding: 10px;
    background-color: var(--secondary-color);
    color: rgb(210, 210, 210);
    border: none;
    cursor: pointer;
}
     #kontakt-form button:hover {
        transform: scale(1.05);
        transition: transform 0.3s;
    }

@media (max-width: 768px) {
    #vier a {
        padding: 10px 20px;
    }
    #vier img{
        width: 20px;
        height: 20px;
    }
    #kontakt-form {
        width: 90%;
    }
     #kontakt-form input,
     #kontakt-form textarea {
        width: 100%;
    }
     #kontakt-form button {
        width: 100%;
        margin-inline-start: 3%;
    }   
}

 footer {
        background-color: #eb6e216d;
           color: rgba(255, 255, 255, 0.694);
           text-align: center;
           max-width: 100%;
           min-height: 60px;
           display: flex;
           justify-content: center;
           align-items: center;
           justify-content: space-around;
           padding: 15px;
  
       }
       footer div {
           display: flex;
           flex-direction: column;
           align-items: flex-start;
       }

       footer a {
           color: rgba(255, 255, 255, 0.694);
           text-decoration: none;

       }
    
    @media (max-width: 768px) {
        footer {
            flex-direction: column;
            text-align: center;
        }
        footer div {
            align-items: center;
            margin-bottom: 10px;
        }
    }